$product-margin: 6px;
.yy-product-list__main {
  width: 100%;
}
.yy-product-list__body {
  display: table;
  width: 100%;
  &>* {
    display: table-cell;
    vertical-align: top;
  }
}
.yy-product-list__list {
  margin: -$product-margin;
}
.yy-product-list__aside {
  position: relative;
}
.yy-product-list__filter {
  width: 0px;
  transition: width .3s, height .3s;
  overflow: hidden;
}
$filter-width: 230px;
$filter-padding: 30px;
.yy-product-list__filter--opened {
  padding-right: $filter-padding;
  width: $filter-width;
}
.yy-product-list__filter-body {
  width: $filter-width - $filter-padding;
}
.yy-product-list__utils {
  margin-bottom: 6px;
  &>* {
    float: left;
  }
}
.yy-product-list__filter-switch {
  color: $col-text-2;
  text-decoration: underline;
  cursor: pointer;
  font-size: 18px;
  padding: 15px 30px 15px 0;
  position: relative;
  &:after {
    content: '\e80d';
    font-family: 'fontello', sans-serif;
    text-decoration: none;
    display: inline-block;
    position: absolute;
    right: 10px;
    top: 18px;
    font-size: .8em;
    transition: transform .3s;
    transform: rotate(0deg);
    color: #c7c7cc;
  }
  &:hover {
    color: darken($col-text-2, 15%);
  }
}
.yy-product-list__filter-switch--opened {
  &:after {
    transform: rotate(180deg);
  }
}
.yy-product-list__filter-item {
  margin-top: 5px;
  padding: 16px 8px;
  border-bottom: $border-1;
  .yy-input-select {
    .nice-select {
      position: static;
    }
  }
  .yy-button {
    font-size: 12px;
    letter-spacing: normal;
  }
}
.yy-product-list__filter-item--simple {
  border-bottom: none;
  text-align: center;
  margin-top: 0;
}
.yy-product-list__filter-name {
  color: $col-text-2;
  font-size: 14px;
  margin-bottom: 16px;
}
.yy-product-list__filter-select {
  width: 175px;
  font-size: 14px !important;
  .list {
    width: 175px !important;
  }
}
.yy-product-list__sorting {
  float: right;
}
.yy-product-list__view-switch {
  float: right;
  font-size: 22px;
  padding-top: 10px;
}






.yy-product {
  display: inline-block;
  margin: $product-margin;
  border: $border-1;
  padding: 16px;
  &:hover {
    background-color: $col4;
  }
}
.yy-product--m-size {
  width: 350px;
  .yy-product__picture {
    width: 110px;
  }
  .yy-product__name {
    width: 175px;
  }
}
.yy-product__name {
  float: left;
  height: 35px;
  margin-bottom: 10px;
  font-size: 14px;
  width: 129px;
  overflow: hidden;
  opacity: 0;
}
.yy-product__price {
  float: right;
  width: 140px;
  text-align: right;
  .yy-button {
    font-size: 12px;
    letter-spacing: normal;
  }
}
.yy-product__price-number {
  display: inline-block;
  font-size: 18px;
  padding: 4px 6px 4px 0;
  vertical-align: top;
  line-height: 1;
}
.yy-product__price-currency {
  font-size: 14px;
  color: $col-text-2;
}
.yy-product__head {
  &>* {
    display: inline-block;
  }
}
.yy-product__body {
  &>* {
    float: left;
  }
}
.yy-product__picture {
  border: $border-1;
  background-color: #fff;
  table-layout: fixed;
  width: 66px;
  height: 100px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url(../images/parts.svg);
}
.yy-product__info {
  padding: 4px 0 4px 10px;
  width: 203px;
  height: 100px;
  overflow-y: auto;
  font-size: 10px;
  letter-spacing: -.5px;
  line-height: 15px;
  table {
    width: 100%;
  }
  td {
    max-width: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
.yy-product__info-key {
  color: $col-text-2;
}
.yy-product__pin {
  display: inline-block;
  padding: 2px 0;
  font-size: 18px;
  margin-right: 7px;
}
.yy-product__pin--active {
  .yy-button-icon {
    color: #feb538;
    &:hover {
      color: #feb538;
    }
  }
}
.yy-product--line {
  display: block;
  width: 100%;
  border-left: none;
  border-right: none;
  padding: 20px 7px;
  border-top: $border-1;
  border-bottom: $border-1;
  margin-top: 0;
  margin-bottom: 0;
  &~.yy-product--line {
    border-top: none;
  }
}
.yy-product--line__table {
  width: 100%;
  display: table;
  table-layout:fixed;
}
.yy-product--line__cell {
  display: table-cell;
  overflow: hidden;
  vertical-align: top;
}
.yy-product--line__image {
  width: 100px;
  .yy-product__picture {
    width: 100px;
    height: 100px;
  }
}
.yy-product--line__info {
  width: auto;
  padding: 0 8px 0 16px;
  font-size: 14px;
}
.yy-product--line__price {
  width: 300px;
  padding: 0 8px;
  text-align: right;
  font-size: 14px;
  &>* {
    float: right;
  }
  .yy-button {
    padding-right: 18px;
    padding-left: 18px;
  }
}
.yy-product--line__name {
  margin-bottom: 10px;
  line-height: 23px;
}
.yy-product--line__key-val {
  &>* {
    display: inline-block;
  }
}